<?php
if(!session_id()) session_start();



$loginCookie=(isset($loginSesionPorCookies) && $loginSesionPorCookies); //Esto tiene que estar definido en el config.php

//echo '<p>loginCookie: '.$loginCookie.'</p>';


//if ( ($loginCookie && !isset($_COOKIE['proxiumSGA_usuario'])) || (!$loginCookie && !($_SESSION['usuario'])) ) {
if ( !$_SESSION['usuario'] ) {

	//echo '<p>No se encuentra session de usuario</p>';
	//echo $_COOKIE['proxiumSGA_usuario'];

	//12-11-2025 nuevo control por cookie
	if( $loginCookie && $_COOKIE['proxiumSGA_usuario']) {  //SI LAS VARIABLES SESSION SE HAN PERDIDO, RECUPERAMOS LOS DATOS DE LAS COOKIES Y VOLVEMOS A CARGAR PARÁMETROS igual que se hace en el login
	
		$ruta='Location:'.$rutaHtml.'/acceso/recarga.php';
		
		header($ruta);

		//FINALMENTE TRAS CARGAR TODO DE NUEVO DESDE COOKIES, NO SE REDIRECCIONA A login
	
	}
	else {
	
		//echo '<p>Redirección a login</p>';

		$pantalla=array_pop(explode('/', $_SERVER['PHP_SELF']));
		if($pantalla=='index.php') unset($pantalla);
		
		$parametros=$_SERVER['QUERY_STRING'];
	
		//echo '<p>Pantalla: '.$pantalla.'</p>';
		//echo '<p>Parámetros: '.$parametros.'</p>';
	
		if($_GET['instalacion']) $_SESSION['instalacion']=$_GET['instalacion'];
	
		$ruta='Location:'.$rutaHtml.'/acceso/login.php';
		
		if($pantalla!='') {
			$ruta.='?pantalla='.$pantalla;
			if($parametros!='') $ruta.='&parametros='.urlencode($parametros);
		}
	
		header($ruta);
	
	}
	
}

?>